package com.zcloud.zcGbsServicer.api;

import com.zcloud.zcGbsServicer.dto.RescueTeamAddCmd;
import com.zcloud.zcGbsServicer.dto.RescueTeamNameCheckQry;
import com.zcloud.zcGbsServicer.dto.RescueTeamPageQry;
import com.zcloud.zcGbsServicer.dto.RescueTeamScreenQry;
import com.zcloud.zcGbsServicer.dto.RescueTeamUpdateCmd;
import com.zcloud.zcGbsServicer.dto.clientobject.RescueTeamCO;
import com.zcloud.zcGbsServicer.dto.clientobject.RescueTeamScreenCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

/**
* web-client
* @Author makejava
* @Date 2026-01-21 17:23:00
*/
public interface RescueTeamServiceI {
    PageResponse<RescueTeamCO> listPage(RescueTeamPageQry qry);

    PageResponse<RescueTeamScreenCO> listScreen(RescueTeamScreenQry qry);

    SingleResponse<RescueTeamCO> add(RescueTeamAddCmd cmd);

    void edit(RescueTeamUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    RescueTeamCO get(Long id);

    SingleResponse<Boolean> checkName(RescueTeamNameCheckQry qry);
}

